Subject: Re: New NIST/NSA Revelations

From: [email-masked] (Dorothy Denning)
Date: Wed, 12 May 93 10:20:42 EDT

David Sobel, CPSR Legal Council, wrote in RISKS DIGEST 14.59:

	The proposed DSS was widely criticized within the computer
	industry for its perceived weak security and inferiority to an
	existing authentication technology known as the RSA algorithm.
	Many observers have speculated that the RSA technique was
	disfavored by NSA because it was, in fact, more secure than the
	NSA-proposed algorithm and because the RSA technique could also
	be used to encrypt data very securely.

This is terribly misleading. NIST issued the DSS proposal along with a public
call for comments as part of their normal practice with proposed standards.
The community responded, and NIST promptly addressed the security concerns.
Among other things, the DSS now accommodates longer keys (up to 1024 bits).
As a result of the revisions, the DSS is now considered to be just as strong
as RSA.

Dorothy Denning